# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{hammer_cli}
  s.version = "0.0.14"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Martin Ba\304\215ovsk\303\275", "Tom\303\241\305\241 Strachota"]
  s.date = %q{2013-12-19}
  s.default_executable = %q{hammer}
  s.description = %q{Hammer cli provides universal extendable CLI interface for ruby apps
}
  s.email = %q{mbacovsk@redhat.com}
  s.executables = ["hammer"]
  s.extra_rdoc_files = ["doc/creating_apipie_commands.md", "doc/development_tips.md", "doc/developer_docs.md", "doc/creating_commands.md", "doc/design.png", "doc/design.uml", "doc/writing_a_plugin.md", "config/cli_config.template.yml", "README.md"]
  s.files = ["lib/hammer_cli/logger_watch.rb", "lib/hammer_cli/apipie/write_command.rb", "lib/hammer_cli/apipie/resource.rb", "lib/hammer_cli/apipie/read_command.rb", "lib/hammer_cli/apipie/options.rb", "lib/hammer_cli/apipie/command.rb", "lib/hammer_cli/logger.rb", "lib/hammer_cli/messages.rb", "lib/hammer_cli/abstract.rb", "lib/hammer_cli/apipie.rb", "lib/hammer_cli/version.rb", "lib/hammer_cli/exception_handler.rb", "lib/hammer_cli/output.rb", "lib/hammer_cli/shell.rb", "lib/hammer_cli/modules.rb", "lib/hammer_cli/utils.rb", "lib/hammer_cli/output/adapter/table.rb", "lib/hammer_cli/output/adapter/base.rb", "lib/hammer_cli/output/adapter/abstract.rb", "lib/hammer_cli/output/adapter/silent.rb", "lib/hammer_cli/output/adapter/csv.rb", "lib/hammer_cli/output/definition.rb", "lib/hammer_cli/output/adapter.rb", "lib/hammer_cli/output/dsl.rb", "lib/hammer_cli/output/formatters.rb", "lib/hammer_cli/output/output.rb", "lib/hammer_cli/output/fields.rb", "lib/hammer_cli/output/record_collection.rb", "lib/hammer_cli/options/option_definition.rb", "lib/hammer_cli/options/normalizers.rb", "lib/hammer_cli/completer.rb", "lib/hammer_cli/settings.rb", "lib/hammer_cli/validator.rb", "lib/hammer_cli/exit_codes.rb", "lib/hammer_cli/main.rb", "lib/hammer_cli.rb", "test/unit/apipie/command_test.rb", "test/unit/apipie/write_command_test.rb", "test/unit/apipie/fake_api.rb", "test/unit/apipie/read_command_test.rb", "test/unit/validator_test.rb", "test/unit/completer_test.rb", "test/unit/utils_test.rb", "test/unit/exception_handler_test.rb", "test/unit/main_test.rb", "test/unit/test_helper.rb", "test/unit/modules_test.rb", "test/unit/abstract_test.rb", "test/unit/output/adapter/base_test.rb", "test/unit/output/adapter/csv_test.rb", "test/unit/output/adapter/abstract_test.rb", "test/unit/output/adapter/table_test.rb", "test/unit/output/formatters_test.rb", "test/unit/output/dsl_test.rb", "test/unit/output/definition_test.rb", "test/unit/output/output_test.rb", "test/unit/output/fields_test.rb", "test/unit/output/record_collection_test.rb", "test/unit/options/option_definition_test.rb", "test/unit/options/normalizers_test.rb", "test/unit/settings_test.rb", "bin/hammer", "doc/creating_apipie_commands.md", "doc/development_tips.md", "doc/developer_docs.md", "doc/creating_commands.md", "doc/design.png", "doc/design.uml", "doc/writing_a_plugin.md", "config/cli_config.template.yml", "LICENSE", "README.md", "hammer_cli_complete"]
  s.homepage = %q{http://github.com/theforeman/hammer-cli}
  s.licenses = ["GPL-3"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Universal command-line interface}
  s.test_files = ["test/unit/apipie/command_test.rb", "test/unit/apipie/write_command_test.rb", "test/unit/apipie/fake_api.rb", "test/unit/apipie/read_command_test.rb", "test/unit/validator_test.rb", "test/unit/completer_test.rb", "test/unit/utils_test.rb", "test/unit/exception_handler_test.rb", "test/unit/main_test.rb", "test/unit/test_helper.rb", "test/unit/modules_test.rb", "test/unit/abstract_test.rb", "test/unit/output/adapter/base_test.rb", "test/unit/output/adapter/csv_test.rb", "test/unit/output/adapter/abstract_test.rb", "test/unit/output/adapter/table_test.rb", "test/unit/output/formatters_test.rb", "test/unit/output/dsl_test.rb", "test/unit/output/definition_test.rb", "test/unit/output/output_test.rb", "test/unit/output/fields_test.rb", "test/unit/output/record_collection_test.rb", "test/unit/options/option_definition_test.rb", "test/unit/options/normalizers_test.rb", "test/unit/settings_test.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<clamp>, [">= 0"])
      s.add_runtime_dependency(%q<rest-client>, [">= 0"])
      s.add_runtime_dependency(%q<logging>, [">= 0"])
      s.add_runtime_dependency(%q<awesome_print>, [">= 0"])
      s.add_runtime_dependency(%q<table_print>, [">= 0"])
      s.add_runtime_dependency(%q<highline>, [">= 0"])
      s.add_runtime_dependency(%q<fastercsv>, [">= 0"])
      s.add_runtime_dependency(%q<mime-types>, ["< 2.0.0"])
    else
      s.add_dependency(%q<clamp>, [">= 0"])
      s.add_dependency(%q<rest-client>, [">= 0"])
      s.add_dependency(%q<logging>, [">= 0"])
      s.add_dependency(%q<awesome_print>, [">= 0"])
      s.add_dependency(%q<table_print>, [">= 0"])
      s.add_dependency(%q<highline>, [">= 0"])
      s.add_dependency(%q<fastercsv>, [">= 0"])
      s.add_dependency(%q<mime-types>, ["< 2.0.0"])
    end
  else
    s.add_dependency(%q<clamp>, [">= 0"])
    s.add_dependency(%q<rest-client>, [">= 0"])
    s.add_dependency(%q<logging>, [">= 0"])
    s.add_dependency(%q<awesome_print>, [">= 0"])
    s.add_dependency(%q<table_print>, [">= 0"])
    s.add_dependency(%q<highline>, [">= 0"])
    s.add_dependency(%q<fastercsv>, [">= 0"])
    s.add_dependency(%q<mime-types>, ["< 2.0.0"])
  end
end
